package com.ningdatech.pmapi.sys.utils;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ningdatech.pmapi.projectlib.model.entity.Project;
import com.ningdatech.pmapi.sys.model.entity.WflowEarlyWarningRecords;
import com.ningdatech.pmapi.user.security.auth.model.UserFullInfoDTO;
import com.ningdatech.pmapi.user.security.auth.model.UserInfoDetails;

/**
 * @Classname EarlyWarningUtil
 * @Description
 * @Date 2023/12/7 14:14
 * @Author PoffyZhang
 */
public class EarlyWarningUtil {

    public static void buildPermissonWrapper(LambdaQueryWrapper<WflowEarlyWarningRecords> wrapper,
                                      UserInfoDetails user) {
        //如果是超管的话
        if(user.getSuperAdmin()){
            //可以看所有
        //如果是区管
        }else if(user.getRegionAdmin()){
            wrapper.eq(WflowEarlyWarningRecords::getAreaCode,user.getRegionCode());
        }else if(user.getIsOrgAdmin()){
            wrapper.eq(WflowEarlyWarningRecords::getBuildOrgCode,user.getEmpPosUnitCode());
        }else{
            //否则都只能看自己单位的
            wrapper.eq(WflowEarlyWarningRecords::getBuildOrgCode,user.getEmpPosUnitCode());
        }
    }

    public static void buildPermissonFullWrapper(LambdaQueryWrapper<WflowEarlyWarningRecords> wrapper,
                                             UserFullInfoDTO user) {
        //如果是超管的话
        if(user.getSuperAdmin()){
            //可以看所有
            //如果是区管
        }else if(user.getRegionAdmin()){
            wrapper.eq(WflowEarlyWarningRecords::getAreaCode,user.getRegionCode());
        }else if(user.getIsOrgAdmin()){
            wrapper.eq(WflowEarlyWarningRecords::getBuildOrgCode,user.getEmpPosUnitCode());
        }else{
            //否则都只能看自己单位的
            wrapper.eq(WflowEarlyWarningRecords::getBuildOrgCode,user.getEmpPosUnitCode());
        }
    }

    public static void buildPermissonProjectWrapper(LambdaQueryWrapper<Project> wrapper,
                                             UserFullInfoDTO user) {
        //如果是超管的话
        if(user.getSuperAdmin()){
            //可以看所有
            //如果是区管
        }else if(user.getRegionAdmin()){
            wrapper.eq(Project::getAreaCode,user.getRegionCode());
        }else if(user.getIsOrgAdmin()){
            wrapper.eq(Project::getBuildOrgCode,user.getEmpPosUnitCode());
        }else{
            //否则都只能看自己单位的
            wrapper.eq(Project::getBuildOrgCode,user.getEmpPosUnitCode());
        }
    }
}
