package com.ningdatech.pmapi.region;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.ningdatech.pmapi.AppTests;
import com.ningdatech.pmapi.common.helper.RegionCacheHelper;
import com.ningdatech.pmapi.common.util.ExpertRegisterUtil;
import com.ningdatech.pmapi.expert.constant.ExpertApplyStatusEnum;
import com.ningdatech.pmapi.expert.constant.ExpertApplyTypeEnum;
import com.ningdatech.pmapi.expert.controller.ExpertController;
import com.ningdatech.pmapi.expert.entity.ExpertIntentionWorkRegion;
import com.ningdatech.pmapi.expert.entity.ExpertMetaApply;
import com.ningdatech.pmapi.expert.service.IExpertIntentionWorkRegionService;
import com.ningdatech.pmapi.expert.service.IExpertMetaApplyService;
import com.ningdatech.pmapi.meta.helper.DictionaryCache;
import com.ningdatech.pmapi.meta.helper.TagCache;
import com.ningdatech.pmapi.organization.service.IDingOrganizationService;
import com.ningdatech.pmapi.sys.model.entity.Region;
import com.ningdatech.pmapi.sys.service.IRegionService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Objects;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * @Classname RegionTest
 * @Description
 * @Date 2023/6/8 14:44
 * @Author PoffyZhang
 */
public class RegionTest extends AppTests {

    @Autowired
    private IRegionService regionService;

    @Test
    public void test() {
        Set<Region> set = regionService.list().stream().collect(Collectors.toSet());

        Set<Long> ids = set.stream().map(Region::getId).collect(Collectors.toSet());

        regionService.removeByIds(ids);

        regionService.saveBatch(set);
    }

    @Autowired
    private RegionCacheHelper regionCacheHelper;
    @Autowired
    private IDingOrganizationService organizationService;
    @Autowired
    private DictionaryCache dictionaryCache;
    @Autowired
    private TagCache tagCache;
    @Autowired
    private ExpertController expertController;

    @Test
    public void test1() {
        System.out.println(regionCacheHelper.getByRegionName("浙江省-杭州市-滨江区"));
    }

    @Test
    public void test2() {
        String[] paths = {"/Users/wendy/Desktop/景宁县专家(1).xlsx",
                "/Users/wendy/Desktop/专家基础信息归集表（遂昌县）.xlsx",
                "/Users/wendy/Desktop/专家基础信息归集表-缙云县.xlsx",
                "/Users/wendy/Desktop/松阳专家汇总.xlsx",
                "/Users/wendy/Desktop/青田县---专家基础信息归集表.xlsx"};
        ExpertRegisterUtil.regionCacheHelper = regionCacheHelper;
        ExpertRegisterUtil.tagCache = tagCache;
        ExpertRegisterUtil.dictionaryCache = dictionaryCache;
        ExpertRegisterUtil.organizationService = organizationService;
        ExpertRegisterUtil.expertController = expertController;
        for (String path : paths) {
            ExpertRegisterUtil.registerExpertBatch(path);
        }
    }

}
